Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DrawingRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.DrawingRecord

public class DrawingRecord
extends Record

Field Summary
`static short` | `sid`

Constructor Summary
`DrawingRecord()`
`DrawingRecord(short id, short size, byte[] data)`
`DrawingRecord(short id, short size, byte[] data, int offset)`

Method Summary
`protected void` | `fillFields(byte[] data, short size)` called by the constructor, should set class level fields.
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`byte[]` | `getData()`
`int` | `getRecordSize()` gives the current serialized size of the record.
`short` | `getSid()` return the non static version of the id for this record.
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setData(byte[] thedata)`
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, isInValueSection, isValue, processContinueRecord, serialize, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DrawingRecord

    public DrawingRecord()

### DrawingRecord

    public DrawingRecord(short id,
                         short size,
                         byte[] data)

### DrawingRecord

    public DrawingRecord(short id,
                         short size,
                         byte[] data,
                         int offset)

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### fillFields

    protected void fillFields(byte[] data,
                              short size)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Overrides:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getData

    public byte[] getData()

### setData

    public void setData(byte[] thedata)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.